@echo off
rem Update Paradox Information Manager
rem ZUPDPIM.BAT, Conrad M. Leiva, 8/16/94

echo .
echo Updating Paradox Information Manager (C:\DATA\PIM) . . . 

rem Copy everything first time
c:
cd\data
batchman direxist C:\DATA\PIM
if errorlevel == 1 goto SKIPMAKE
mkdir pim
cd\data\pim
mkdir fsl
copy s:\samples\pim\*.* c:\data\pim
copy  *.fsl c:\data\pim\fsl > nul
erase *.fsl > nul
cls
type readme.txt
pause 
goto BATEXIT
:SKIPMAKE

cd\data\pim

rem Check for something other than PIM
if exist c:\data\pim\CAL.DB goto SKIPERR
echo .
echo Error: Using C:\DATA\PIM directory for something else.
echo .
pause
goto BATEXIT
:SKIPERR

rem Folder
bkup s:\samples\pim\PDOXWORK.INI c:\data\pim /N

rem Databases
if not exist c:\data\pim\WE.DB      copy s:\samples\pim\WE.DB          c:\data\pim
if not exist c:\data\pim\CAL.DB     copy s:\samples\pim\CAL.DB     c:\data\pim
if not exist c:\data\pim\CALREP.DB  copy s:\samples\pim\CALREP.DB  c:\data\pim
if not exist c:\data\pim\CARD.DB    copy s:\samples\pim\CARD.DB    c:\data\pim
if not exist c:\data\pim\FRI.DB     copy s:\samples\pim\FRI.DB     c:\data\pim
if not exist c:\data\pim\MON.DB     copy s:\samples\pim\MON.DB     c:\data\pim
if not exist c:\data\pim\SAT.DB     copy s:\samples\pim\SAT.DB     c:\data\pim
if not exist c:\data\pim\SUN.DB     copy s:\samples\pim\SUN.DB     c:\data\pim
if not exist c:\data\pim\THU.DB     copy s:\samples\pim\THU.DB     c:\data\pim
if not exist c:\data\pim\TODO.DB    copy s:\samples\pim\TODO.DB    c:\data\pim
if not exist c:\data\pim\TUE.DB     copy s:\samples\pim\TUE.DB     c:\data\pim
if not exist c:\data\pim\VAR.DB     copy s:\samples\pim\VAR.DB     c:\data\pim
if not exist c:\data\pim\WED.DB     copy s:\samples\pim\WED.DB     c:\data\pim
if not exist c:\data\pim\TODOREP.DB copy s:\samples\pim\TODOREP.DB c:\data\pim
if not exist c:\data\pim\CARDREP.DB copy s:\samples\pim\CARDREP.DB c:\data\pim
if not exist c:\data\pim\TODO.VAL   copy s:\samples\pim\TODO.VAL   c:\data\pim
if not exist c:\data\pim\CAL.VAL    copy s:\samples\pim\CAL.VAL    c:\data\pim
if not exist c:\data\pim\CARD.VAL   copy s:\samples\pim\CARD.VAL   c:\data\pim
if not exist c:\data\pim\CAL.XG0    copy s:\samples\pim\CAL.XG0    c:\data\pim
if not exist c:\data\pim\TODO.XG0   copy s:\samples\pim\TODO.XG0   c:\data\pim
if not exist c:\data\pim\CAL.YG0    copy s:\samples\pim\CAL.YG0    c:\data\pim
if not exist c:\data\pim\TODO.YG0   copy s:\samples\pim\TODO.YG0   c:\data\pim
if not exist c:\data\pim\CAL.MB     copy s:\samples\pim\CAL.MB     c:\data\pim
if not exist c:\data\pim\CALREP.MB  copy s:\samples\pim\CALREP.MB  c:\data\pim
if not exist c:\data\pim\CARD.MB    copy s:\samples\pim\CARD.MB    c:\data\pim
if not exist c:\data\pim\TODO.MB    copy s:\samples\pim\TODO.MB    c:\data\pim
if not exist c:\data\pim\TODOREP.MB copy s:\samples\pim\TODOREP.MB c:\data\pim
if not exist c:\data\pim\CARDREP.MB copy s:\samples\pim\CARDREP.MB c:\data\pim
if not exist c:\data\pim\CAL.PX     copy s:\samples\pim\CAL.PX     c:\data\pim
if not exist c:\data\pim\CARD.PX    copy s:\samples\pim\CARD.PX    c:\data\pim
if not exist c:\data\pim\TODO.PX    copy s:\samples\pim\TODO.PX    c:\data\pim
if not exist c:\data\pim\TODO.FAM   copy s:\samples\pim\TODO.FAM   c:\data\pim
if not exist c:\data\pim\CAL.FAM    copy s:\samples\pim\CAL.FAM    c:\data\pim
if not exist c:\data\pim\VAR.FAM    copy s:\samples\pim\VAR.FAM    c:\data\pim
if not exist c:\data\pim\MON.FAM    copy s:\samples\pim\MON.FAM    c:\data\pim
if not exist c:\data\pim\SAT.FAM    copy s:\samples\pim\SAT.FAM    c:\data\pim
if not exist c:\data\pim\TUE.FAM    copy s:\samples\pim\TUE.FAM    c:\data\pim
if not exist c:\data\pim\WED.FAM    copy s:\samples\pim\WED.FAM    c:\data\pim
if not exist c:\data\pim\THU.FAM    copy s:\samples\pim\THU.FAM    c:\data\pim
if not exist c:\data\pim\FRI.FAM    copy s:\samples\pim\FRI.FAM    c:\data\pim
if not exist c:\data\pim\SUN.FAM    copy s:\samples\pim\SUN.FAM    c:\data\pim
if not exist c:\data\pim\CALREP.FAM copy s:\samples\pim\CALREP.FAM c:\data\pim  
if not exist c:\data\pim\CARD.FAM   copy s:\samples\pim\CARD.FAM   c:\data\pim
if not exist c:\data\pim\VAR.TV     copy s:\samples\pim\VAR.TV     c:\data\pim
if not exist c:\data\pim\TUE.TV     copy s:\samples\pim\TUE.TV     c:\data\pim
if not exist c:\data\pim\WED.TV     copy s:\samples\pim\WED.TV     c:\data\pim
if not exist c:\data\pim\MON.TV     copy s:\samples\pim\MON.TV     c:\data\pim
if not exist c:\data\pim\THU.TV     copy s:\samples\pim\THU.TV     c:\data\pim
if not exist c:\data\pim\CAL.TV     copy s:\samples\pim\CAL.TV     c:\data\pim
if not exist c:\data\pim\SAT.TV     copy s:\samples\pim\SAT.TV     c:\data\pim
if not exist c:\data\pim\SUN.TV     copy s:\samples\pim\SUN.TV     c:\data\pim
if not exist c:\data\pim\FRI.TV     copy s:\samples\pim\FRI.TV     c:\data\pim
if not exist c:\data\pim\CALREP.TV  copy s:\samples\pim\CALREP.TV  c:\data\pim  
if not exist c:\data\pim\TODO.TV    copy s:\samples\pim\TODO.TV    c:\data\pim
if not exist c:\data\pim\CARDREP.TV copy s:\samples\pim\CARDREP.TV c:\data\pim   
if not exist c:\data\pim\CARD.TV    copy s:\samples\pim\CARD.TV    c:\data\pim

rem Queries
if not exist c:\data\pim\TODO.QBE   copy s:\samples\pim\TODO.QBE   c:\data\pim
if not exist c:\data\pim\CAL.QBE    copy s:\samples\pim\CAL.QBE    c:\data\pim
if not exist c:\data\pim\CARD.QBE   copy s:\samples\pim\CARD.QBE   c:\data\pim     
																   
rem Text
bkup s:\samples\pim\*.txt c:\data\pim

rem Forms														   
if exist c:\data\pim\CAL.FDL goto SKIPMFSL
if not exist c:\data\pim\WE.FSL     copy s:\samples\pim\WE.FSL     c:\data\pim
if not exist c:\data\pim\CAL.FSL    copy s:\samples\pim\CAL.FSL    c:\data\pim 
if not exist c:\data\pim\PIM.FSL    copy s:\samples\pim\PIM.FSL    c:\data\pim 
if not exist c:\data\pim\TODO.FSL   copy s:\samples\pim\TODO.FSL   c:\data\pim  
if not exist c:\data\pim\CARD.FSL   copy s:\samples\pim\CARD.FSL   c:\data\pim  
if not exist c:\data\pim\PIMREP.FSL copy s:\samples\pim\PIMREP.FSL c:\data\pim
if not exist c:\data\pim\WE.FDL     copy s:\samples\pim\WE.FDL     c:\data\pim
if not exist c:\data\pim\CAL.FDL    copy s:\samples\pim\CAL.FDL    c:\data\pim
if not exist c:\data\pim\PIM.FDL    copy s:\samples\pim\PIM.FDL    c:\data\pim
if not exist c:\data\pim\TODO.FDL   copy s:\samples\pim\TODO.FDL   c:\data\pim
if not exist c:\data\pim\CARD.FDL   copy s:\samples\pim\CARD.FDL   c:\data\pim
if not exist c:\data\pim\PIMREP.FDL copy s:\samples\pim\PIMREP.FDL c:\data\pim
goto SKIPBFSL    
:SKIPMFSL
cls
type updates.txt | more
pause
bkup s:\samples\pim\*.fsl c:\data\pim
bkup s:\samples\pim\*.fdl c:\data\pim
:SKIPBFSL

c:
cd\data\pim
if not exist c:\data\pim\fsl\pim.fsl mkdir fsl
if exist c:\data\pim\*.fsl copy c:\data\pim\*.fsl c:\data\pim\fsl > nul
if exist c:\data\pim\*.fsl erase c:\data\pim\*.fsl > nul

rem Reports
if exist c:\data\pim\PIMCNP.RSL goto SKIPMRSL						   
if not exist c:\data\pim\PIMTDP.RSL copy s:\samples\pim\PIMTDP.RSL c:\data\pim  
if not exist c:\data\pim\PIMTNL.RSL copy s:\samples\pim\PIMTNL.RSL c:\data\pim  
if not exist c:\data\pim\PIMTNP.RSL copy s:\samples\pim\PIMTNP.RSL c:\data\pim  
if not exist c:\data\pim\CAL.RSL    copy s:\samples\pim\CAL.RSL    c:\data\pim
if not exist c:\data\pim\CARD.RSL   copy s:\samples\pim\CARD.RSL   c:\data\pim
if not exist c:\data\pim\PIMFNP.RSL copy s:\samples\pim\PIMFNP.RSL c:\data\pim  
if not exist c:\data\pim\PIMCTP.RSL copy s:\samples\pim\PIMCTP.RSL c:\data\pim  
if not exist c:\data\pim\PIMFPP.RSL copy s:\samples\pim\PIMFPP.RSL c:\data\pim  
if not exist c:\data\pim\PIMCTL.RSL copy s:\samples\pim\PIMCTL.RSL c:\data\pim  
if not exist c:\data\pim\PIMTTP.RSL copy s:\samples\pim\PIMTTP.RSL c:\data\pim  
if not exist c:\data\pim\PIMCDL.RSL copy s:\samples\pim\PIMCDL.RSL c:\data\pim  
if not exist c:\data\pim\PIMTDL.RSL copy s:\samples\pim\PIMTDL.RSL c:\data\pim  
if not exist c:\data\pim\TODO.RSL   copy s:\samples\pim\TODO.RSL   c:\data\pim
if not exist c:\data\pim\PIMFPL.RSL copy s:\samples\pim\PIMFPL.RSL c:\data\pim  
if not exist c:\data\pim\PIMFAP.RSL copy s:\samples\pim\PIMFAP.RSL c:\data\pim  
if not exist c:\data\pim\PIMCNP.RSL copy s:\samples\pim\PIMCNP.RSL c:\data\pim  
if not exist c:\data\pim\PIMCNL.RSL copy s:\samples\pim\PIMCNL.RSL c:\data\pim  
if not exist c:\data\pim\PIMFAL.RSL copy s:\samples\pim\PIMFAL.RSL c:\data\pim  
if not exist c:\data\pim\PIMFNL.RSL copy s:\samples\pim\PIMFNL.RSL c:\data\pim  
if not exist c:\data\pim\PIMTTL.RSL copy s:\samples\pim\PIMTTL.RSL c:\data\pim  
if not exist c:\data\pim\PIMCDP.RSL copy s:\samples\pim\PIMCDP.RSL c:\data\pim  
goto SKIPBRSL    
:SKIPMRSL
cls
echo Paradox Information Manager
echo .
echo Forms have been updated.
echo .
echo Update Reports?
echo .
echo       1. Update reports
echo       2. Do NOT update reports       (default)
echo .
ask 90 Please enter number for selection:
if not errorlevel = 2 goto SKIPLBL2
goto SKIPBRSL
:SKIPLBL2
if not errorlevel = 1 goto SKIPBRSL
bkup s:\samples\pim\*.rsl c:\data\pim
:SKIPBRSL

:BATEXIT
C:
CD\
rem END OF FILE
